/*
 * rexxhs.h
 */

#ifndef REXXHS_H_INCLUDED
#define REXXHS_H_INCLUDED

#include <exec/libraries.h>

#ifndef AREXXSYSLIB_H_INCLUDED
#include "arexxsyslib.h"
#endif

#if defined( AZTEC_C )

    extern LONG ARLibDispatch( struct RexxMsg *msg, char **result_string );
    extern LONG Dispatch( struct RexxMsg *msg );

    #pragma amicall( ARLibBase, 0x1e, Dispatch( a0 ) )

    struct ARLibBase {
        struct Library ml_Lib;
        unsigned long  ml_SegList;
        long           ml_value;
    };

#elif defined( LATTICE ) || defined( __SASC )

      extern LONG __saveds __stdargs ARLibDispatch( struct RexxMsg *msg,
                                                    char **blart );

#endif

#endif
